package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicCodeType {

    public static final String NOTICE = "通知";
    public static final String CODE = "验证码";


    private static DicCodeType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicCodeType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(NOTICE, NOTICE);
        dicMap.put(CODE, CODE);
    }

    public static DicCodeType getInstacne(){
        if (instance == null)
        {
            instance = new DicCodeType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}

